%global         momorel 2

Name:           perl-Class-Load-XS
Version:        0.08
Release:        %{momorel}m%{?dist}
Summary:        XS implementation of parts of Class::Load
License:        "Artistic 2.0"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Class-Load-XS/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/Class-Load-XS-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-Class-Load >= 0.15
BuildRequires:  perl-constant
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Module-Implementation >= 0.04
BuildRequires:  perl-Test-Fatal
BuildRequires:  perl-Test-Simple >= 0.88
BuildRequires:  perl-Test-Requires
BuildRequires:  perl-version
BuildRequires:  perl-XSLoader
Requires:       perl-Class-Load >= 0.15
Requires:       perl-XSLoader
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module provides an XS implementation for portions of Class::Load. See
Class::Load for API details.

%prep
%setup -q -n Class-Load-XS-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README
%{perl_vendorarch}/auto/Class/Load/XS
%{perl_vendorarch}/Class/Load/XS.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-2m)
- rebuild against perl-5.20.0

* Sun Feb 16 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-1m)
- update to 0.08

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-3m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-2m)
- rebuild against perl-5.18.1

* Thu May 30 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-1m)
- update to 0.06

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04-5m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04-4m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04-3m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04-2m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.

